#include <stdio.h>
#include <stdlib.h>

void swap(long long int * xp, long long int * yp) {
    long long int temp = * xp;
    * xp = * yp;
    * yp = temp;
    }
    void bubbleSort(long long int arr[], long long int n) {
    long long int i, j;
    for (i = 0; i < n - 1; i++)
        for (j = 0; j < n - i - 1; j++)
        if (arr[j] > arr[j + 1])
            swap( & arr[j], & arr[j + 1]);
    }
long long int maxx(long long int a,long long int b)
{
    int max=a;
    if(b>max) max=b;
    return max;
}
long long int minn(long long int a,long long int b)
{
    int min=a;
    if(b<min) min=b;
    return min;
}

int main()
{
    long long int n, q;
    scanf("%lld %lld", & n, & q);
    long long int a[n];
    long long int i,j;
    scanf("%lld", & a[0]);
    for (i = 1; i < n; i++) {
    scanf("%lld", & a[i]);
    }
    long long int b[q];
    for (i = 0; i < q; i++) {
    scanf("%lld", & b[i]);
    }
    bubbleSort(a, n);

    long long int pomocni[n+1];
    int postoji;
    long long int num[q];
    long long int med,m,maxindex,minindex,p,x;
    long long int bm;
    long long int sleva,sdesna;
    long long int maxv,minv;

    for(j=0;j<q;j++){
        bm=n;
        num[j]=0;
        for(i=0;i<n;i++) pomocni[i]=a[i]; pomocni[n]=-1;
        postoji=0;
        for(i=0;i<n;i++)
        {
            if(pomocni[i]==b[j])
            {
                postoji=1;
            }
        }
        if(postoji==0)
        {
            pomocni[n]=b[j];
            bm++;
            bubbleSort(pomocni,bm);
        }
        med = bm / 2; 
        m = pomocni[med];
        minindex = bm-1;
        maxindex = 0;
        for (i = 0; i < bm; i++) {

            if (b[j] == pomocni[i]) {
                if (i >= maxindex) {
                    maxindex = i;
                } else {
                    minindex = i;
                }

            }
        }
        if (m == b[j]) {
           num[j]=0;
        }

         if (m < b[j]) {
                sleva=minindex;
                sdesna=bm-minindex;
                maxv=maxx(sleva,sdesna);
                minv=minn(sleva,sdesna);
                num[j]=maxv-minv;
            } else if (m > b[j]) {
                sleva=maxindex;
                sdesna=bm-maxindex;
                maxv=maxx(sleva,sdesna);
                minv=minn(sleva,sdesna);
                num[j]=maxv-minv-1;
            }
        if(postoji==0) num[j]++;
}
for(i=0;i<q;i++) printf("\n%lld",num[i]);
return 0;
} 
/*
Svi misle da su marsovci zeleni
Ustvari su metalik, roze i debeli
*/